<?php
namespace Entity;

use Enum\TypeSourceEnum;

class SourceEntity
{
    private int $id_source;

    private string $title;

    private string $date;

    private TypeSourceEnum $type;

    /**
     * @param int $id_source
     * @param string $title
     * @param string $date
     */
    public function __construct(int $id_source, string $title, string $date, TypeSourceEnum $type)
    {
        $this->id_source = $id_source;
        $this->title = $title;
        $this->date = $date;
        //$this->type = $type;
    }

    /**
     * @return int
     */
    public function getIdSource(): int
    {
        return $this->id_source;
    }

    /**
     * @param int $id_source
     */
    public function setIdSource(int $id_source): void
    {
        $this->id_source = $id_source;
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle(string $title): void
    {
        $this->title = $title;
    }

    /**
     * @return string
     */
    public function getDate(): string
    {
        return $this->date;
    }

    /**
     * @param string $date
     */
    public function setDate(string $date): void
    {
        $this->date = $date;
    }

    
    public function getType(): TypeSourceEnum
    {
        return $this->type;
    }


    public function setType(TypeSourceEnum $type): void
    {
        $this->type = $type;
    }
    

}
